#
# spec file for package markmywords
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           markmywords
Version:        0.1.1
Release:        lp150.2.7
Summary:        Markdown editor
License:        MIT
Group:          Productivity/File utilities
URL:            https://github.com/voldyman/MarkMyWords
Source:         https://github.com/voldyman/MarkMyWords/archive/v%{version}.tar.gz#/MarkMyWords-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
Recommends:     %{name}-lang

%description
A minimal markdown editor.

%prep
%setup -q -n MarkMyWords-%{version}

%build
%cmake -DGSETTINGS_COMPILE=OFF
make %{?_smp_mflags}

%install
%cmake_install

install -d %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
mv %{buildroot}%{_datadir}/{pixmaps,icons/hicolor/scalable/apps}/mark-my-words.svg

%fdupes %{buildroot}%{_datadir}

%if 0%{?suse_version} < 1320
%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%doc LICENSE README.md
%{_bindir}/mark-my-words
%{_datadir}/applications/mark-my-words.desktop
%{_datadir}/icons/hicolor/scalable/apps/mark-my-words.svg
%{_datadir}/mark-my-words/
%{_datadir}/glib-2.0/schemas/org.markmywords.gschema.xml
%dir %{_datadir}/metainfo/
%{_datadir}/metainfo/com.github.voldyman.markmywords.appdata.xml

%changelog
* Fri Jan 19 2018 avvissu@yandex.by
- Add new tarball with same version and with the new name
- Remove ldconfig from postscriptlet
- Add icons to hicolor
- Spec file cleanup
* Sun Jul  2 2017 mvetter@suse.com
- Update to 0.1.1
* Sat Feb 27 2016 mailaender@opensuse.org
- initial packaging (version 0.git.1456562283.7edd71d)
  for build.opensuse.org
